Subject: RE: [L1vpn] Issues and concerns about Basic Mode OSPF Discovery

From: "Drake, John E" <[email-masked]>
Date: Fri, 12 May 2006 07:31:55 -0700

> -----Original Message-----
> From: Igor Bryskin [mailto:[email-masked]]
> Sent: Friday, May 12, 2006 7:20 AM
> To: Drake, John E; Acee Lindem
> Cc: [email-masked]
> Subject: Re: [L1vpn] Issues and concerns about Basic Mode OSPF
Discovery
> 
> >
> > IB>> I have already answered to this. In the context of the L1VPNs
> only
> > PEs
> > are the users of the TE info, because only them who perform path
> > computation, and the only purpose of TE info distribution is to
enable
> the
> > path computation. Likewise PEs are the only users of the L1VPN
> > information.
> > So I don't see any conceptual difference between L1VPN and TE
> applications
> > in this respect.
> >
> 
> In the TE case, the PEs require the information about the Ps' links in
> order to perform CSPF, so the PEs and the Ps are working
cooperatively.
> This is not the same as the L1VPN case.
> 
> IB>> But Ps do not use the TE information. So, from the scalability
point
> of
> view how is different from L1VPN application?
> Furthermore, in the Routing per-VPN model Ps will have to advertise
which
> L1VPNs P links belong to to enable PEs publishing per-VPN resource
layout
> to
> CEs.

It sounds as though you are proposing that a P link is configured with a
list of the VPNs which can use it, and that this information is
advertised in the IGP.  If this is what you are proposing, I think it is
a truly terrible idea.

> This means that there will be no difference at all: L1VPN and TE will
> simply compliment each other, you may say that L1VPN application
becomes a
> part of TE application.
> Cheers,
> Igor

_______________________________________________
L1vpn mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l1vpn

---

From: "Igor Bryskin" <[email-masked]>
Date: Fri, 12 May 2006 10:59:22 -0400

Discovery
enable
cooperatively.
point
which
layout

IB>> And why is it so?  Routing per-VPN model requires that PEs provide the
attached CEs with info about resource availability of Provider network on
per-VPN basis, so that CEs could control the path selection over the
Provider network. You have to configure P links (and their attributes)
anyway, so you might as well configure the VPN constraints - a simple and
light overhead that will make PEs dynamically discover which P links belong
to which VPNs.

I have asked already: how would you accomplish this with BGP?

Igor